Package org.apache.sysds.runtime.matrix.data

# Class LibMatrixSketch

java.lang.Object
org.apache.sysds.runtime.matrix.data.LibMatrixSketch

public class LibMatrixSketch extends Object

## Constructor Summary

Constructors
Constructor
Description
`LibMatrixSketch()`

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`getUniqueValues(MatrixBlock blkIn, Types.Direction dir)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LibMatrixSketch

public LibMatrixSketch()

## Method Details

### getUniqueValues

public static MatrixBlock getUniqueValues(MatrixBlock blkIn, Types.Direction dir)